<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
	  xmlns:c="http://java.sun.com/jsp/jstl/core"
	  version="2.0">
    <jsp:directive.page contentType="application/xhtml+xml"/>
    <jsp:output doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
		doctype-root-element="html"
		omit-xml-declaration="false"/>

    <html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	    <title>Nekuřák.net</title>
	    <link href="styl.css" type="text/css" rel="StyleSheet"/>
	</head>
	<body>
	    <h1>Nekuřák.net – Hibernate:</h1>
	    <p>Načítáme údaje z databáze.</p>

	    <p>Seznam podniků načtený pomocí Hibernate:</p>
	    <!-- Vytvoříme si instanci JavaBeany -->
	    <jsp:useBean id="podnikyWeb" class="cz.frantovo.nekurak.web.PodnikyHibernateWeb" scope="request"/>
	    <table>
		<thead>
		    <tr>
			<td>Číslo</td>
			<td>Název</td>
		    </tr>
		</thead>
		<tbody>
		    <c:forEach var="p" items="${podnikyWeb.podniky}">
			<tr>
			    <td><c:out value="${p.id}"/></td>
			    <td><c:out value="${p.nazev}"/></td>
			</tr>
		    </c:forEach>
		</tbody>
	    </table>

	</body>
    </html>

</jsp:root>
