--
-- PostgreSQL database dump
--

-- Started on 2010-01-25 17:42:09 CET

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- TOC entry 10 (class 2615 OID 35015)
-- Name: nekurak; Type: SCHEMA; Schema: -; Owner: nekurak
--

CREATE SCHEMA nekurak;


ALTER SCHEMA nekurak OWNER TO nekurak;

SET search_path = nekurak, pg_catalog;

--
-- TOC entry 1568 (class 1259 OID 35019)
-- Dependencies: 10
-- Name: podnik_seq; Type: SEQUENCE; Schema: nekurak; Owner: nekurak
--

CREATE SEQUENCE podnik_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE nekurak.podnik_seq OWNER TO nekurak;

--
-- TOC entry 1848 (class 0 OID 0)
-- Dependencies: 1568
-- Name: podnik_seq; Type: SEQUENCE SET; Schema: nekurak; Owner: nekurak
--

SELECT pg_catalog.setval('podnik_seq', 3, true);


SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 1569 (class 1259 OID 35021)
-- Dependencies: 1840 1841 10
-- Name: podnik; Type: TABLE; Schema: nekurak; Owner: nekurak; Tablespace: 
--

CREATE TABLE podnik (
    id integer DEFAULT nextval('podnik_seq'::regclass) NOT NULL,
    nazev character varying(255) NOT NULL,
    datum timestamp with time zone DEFAULT now()
);


ALTER TABLE nekurak.podnik OWNER TO nekurak;

--
-- TOC entry 1844 (class 0 OID 35021)
-- Dependencies: 1569
-- Data for Name: podnik; Type: TABLE DATA; Schema: nekurak; Owner: nekurak
--

COPY podnik (id, nazev, datum) FROM stdin;
1	Na Kovárně	2010-01-16 02:40:12.271326+01
2	U přátelského potkana	2010-01-16 02:40:43.326281+01
3	Na Růžku	2010-01-16 02:40:48.104577+01
\.


--
-- TOC entry 1843 (class 2606 OID 35027)
-- Dependencies: 1569 1569
-- Name: podnik_pk; Type: CONSTRAINT; Schema: nekurak; Owner: nekurak; Tablespace: 
--

ALTER TABLE ONLY podnik
    ADD CONSTRAINT podnik_pk PRIMARY KEY (id);


--
-- TOC entry 1847 (class 0 OID 0)
-- Dependencies: 10
-- Name: nekurak; Type: ACL; Schema: -; Owner: nekurak
--

REVOKE ALL ON SCHEMA nekurak FROM PUBLIC;
REVOKE ALL ON SCHEMA nekurak FROM nekurak;
GRANT ALL ON SCHEMA nekurak TO nekurak;
GRANT USAGE ON SCHEMA nekurak TO nekurak_web;


--
-- TOC entry 1849 (class 0 OID 0)
-- Dependencies: 1568
-- Name: podnik_seq; Type: ACL; Schema: nekurak; Owner: nekurak
--

REVOKE ALL ON SEQUENCE podnik_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE podnik_seq FROM nekurak;
GRANT ALL ON SEQUENCE podnik_seq TO nekurak;
GRANT USAGE ON SEQUENCE podnik_seq TO nekurak_web;


--
-- TOC entry 1850 (class 0 OID 0)
-- Dependencies: 1569
-- Name: podnik; Type: ACL; Schema: nekurak; Owner: nekurak
--

REVOKE ALL ON TABLE podnik FROM PUBLIC;
REVOKE ALL ON TABLE podnik FROM nekurak;
GRANT ALL ON TABLE podnik TO nekurak;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE podnik TO nekurak_web;


-- Completed on 2010-01-25 17:42:10 CET

--
-- PostgreSQL database dump complete
--

